/******************************************************************************
FILE:               AutoresizingTest.h
LANGUAGE:           Objective-C
SYSTEM:             POSIX
USER-INTERFACE:     OpenStep (GNUstep)
DESCRIPTION
    $Header$
    This class is the AutoresizingTest application.

    A simple application to test the autoresizing property of NSViews.

AUTHORS
    <PJB> Pascal J. Bourguignon
MODIFICATIONS
    $Log$
    2000-04-14 <PJB> Creation.
BUGS
LEGAL
    GPL
    Copyright Pascal J. Bourguignon 2000 - 2000

    This file is part of the AutoresizingTest application.

    This  program is  free software;  you can  redistribute  it and/or
    modify it  under the  terms of the  GNU General Public  License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program  is distributed in the  hope that it  will be useful,
    but  WITHOUT ANY WARRANTY;  without even  the implied  warranty of
    MERCHANTABILITY or FITNESS FOR  A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a  copy of the GNU General Public License
    along with  this program; see the  file COPYING; if  not, write to
    the Free  Software Foundation, Inc.,  59 Temple Place,  Suite 330,
    Boston, MA 02111-1307 USA
******************************************************************************/
#ifndef AutoresizingTest_h
#define AutoresizingTest_h
#include <Foundation/Foundation.h>
#include <AppKit/AppKit.h>


@interface AutoresizingTest:NSApplication
{
    NSWindow*       testWin;
    NSView*         testView;
    NSWindow*       cmdsWin;
    NSButton*       elasticButtons[6];
}

// NSObject methods:

    -(id)init;


// NSApplication delegate methods:

    -(void)applicationDidFinishLaunching:(NSNotification*)notification;


// AutoresizingTest actions:

    -showInformations:sender;
    -changeAutoresizing:sender;
    -setAllNotElastic:sender;
    -setAllElastic:sender;
    -resetTestWin:sender;


// AutoresizingTest methods:

    -(void)updateElasticity;

    -(NSMenu*)makeMenu;
    -(NSButton*)makeButtonTitled:(NSString*)title
                            type:(NSButtonType)type
                           frame:(NSRect)frame
                             tag:(int)tag
                          action:(SEL)action
                          target:(id)target;
    -(void)makeCommandWindow;
    -(void)makeTestWindow;


@end // AutoresizingTest;

#endif
/*** AutoresizingTest.h                       -- 2000-04-12 03:42:05 -- PJB ***/
